;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux muse package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>
;; Adapted for Muse by Michael Olson <mwolson@gnu.org>

;; The muse package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:

(if (not (file-exists-p "/usr/share/emacs/site-lisp/muse-el"))
    (message "Package muse-el removed but not purged.  Skipping setup.")
  (let ((prefix (concat "/usr/share/"
                        (symbol-name flavor)
                        "/site-lisp/muse-el")))
    (debian-pkg-add-load-path-item prefix)
    (debian-pkg-add-load-path-item (concat prefix "/contrib")))

  (load "muse-autoloads.el"))
